View Issue Details

IDProjectCategoryView StatusLast Update
0004799Talerdocumentationpublic2019-01-31 18:46
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeveritytextReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0004799: Merchant's /track/*
DescriptionMerchant returns '202 Accepted' as an *error* object,
sticking to https://api.taler.net/api-common.html#errordetail.
Specs don't match this, to be updated.
TagsNo tags attached.

Activities

Christian Grothoff

2016-11-18 00:11

manager   ~0011523

Eh, are you sure the merchant implementation does what we want here? Returning an error with a 202 status code seems like always the wrong thing.

Christian Grothoff

2016-11-18 00:21

manager   ~0011527

Sounds like the response should be specified in detail in the API, and that the implementation should be changed to *not* return an error(detail), as this is technically not an error.

Marcello Stanisci

2019-01-31 17:56

manager   ~0013538

9bf941792d5d093 fixes this; we return the exchange response verbatim (as the current spec wants).

Issue History

Date Modified Username Field Change
2016-11-17 23:18 Marcello Stanisci New Issue
2016-11-18 00:10 Christian Grothoff Assigned To => Marcello Stanisci
2016-11-18 00:10 Christian Grothoff Severity minor => text
2016-11-18 00:10 Christian Grothoff Status new => assigned
2016-11-18 00:10 Christian Grothoff Product Version => SVN HEAD
2016-11-18 00:11 Christian Grothoff Note Added: 0011523
2016-11-18 00:21 Christian Grothoff Note Added: 0011527
2019-01-31 17:56 Marcello Stanisci Note Added: 0013538
2019-01-31 17:56 Marcello Stanisci Status assigned => resolved
2019-01-31 17:56 Marcello Stanisci Resolution open => fixed
2019-01-31 18:46 Christian Grothoff Fixed in Version => 0.6
2019-01-31 18:46 Christian Grothoff Target Version => 0.6